package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.recovery.rcvbasic.AddRcvBasicDTO;
import com.docus.server.dto.recovery.rcvbasic.EditRcvBasicDTO;
import com.docus.server.entity.recovery.RcvBasic;
import com.docus.server.vo.recovery.rcvbasic.RcvBasicVO;
import com.docus.server.vo.recovery.rcvbasic.SearchRcvBasicVO;
import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 患者信息表 服务转换器
 *
 * @author AutoGenerator
 * @since 2023-09-13
 */
@Mapper
public interface RcvBasicConvert {

    RcvBasicConvert INSTANCE = Mappers.getMapper(RcvBasicConvert.class);

    @Mappings({})
    RcvBasic convertDO(AddRcvBasicDTO addRcvBasicDTO);

    @Mappings({})
    RcvBasic convertDO(EditRcvBasicDTO editRcvBasicDTO);

    @Mappings({})
    List<RcvBasic> convertAddDOList(List<AddRcvBasicDTO> addRcvBasicDTO);

    @Mappings({})
    List<RcvBasic> convertEditDOList(List<EditRcvBasicDTO> editRcvBasicDTO);

    @Mappings({})
    RcvBasicVO convertVO(RcvBasic rcvBasic);

    @Mappings({})
    List<RcvBasicVO> convertVO(List<RcvBasic> rcvBasicList);

    @Mappings({})
    PageResult<RcvBasicVO> convertVO(PageResult<RcvBasic> pageResult);

    @Mappings({})
    PageResult<SearchRcvBasicVO> convertPageVO(PageResult<RcvBasic> pageResult);
}

